/********************************************************************

Chat whatsapp system 

*********************************************************************/

:root{
    --chat-btn-size: 60px;
}

.Window__WindowComponent-sc-17wvysh-1 {
    box-shadow: 0 12px 250px 200px rgba(0,0,0,.09)!important;
        border-radius: 10px!important;
}

.Close__Component-sc-1l05yq5-0{
    right: auto !important;
    left: 8px !important;
}

.eawc-chat-window-containerAlignRight .eawc-chat-window-window {
    right: 6px!important;
}

.WhatsappChat__Component-sc-1wqac52-0 {
    background-color: var(--clr-gray-6)!important;
}

.eawc-window-opener-button-button {
    margin-bottom: 23px!important;
    margin-right: 15px!important;
}

.eawc-chat-window-containerFloating {
    z-index: 9999!important;
}

.eawc-window-opener-button-buttonIcon svg {
    width: 29px!important;
    height: 29px!important;
}

.WhatsappChat__Component-sc-1wqac52-0::before {
    background-image: none!important;
}

.eawc-close-close {
    right: auto!important;
    left: 8px!important;
}

.eawc-chat-componentMessageTextBlock {
    font-size: 14px!important;
    line-height: 22px!important;
    margin-top: 10px!important;
    margin-bottom: 10px!important;
    color: #111!important;
}

.Bubble__BubbleComponent-sc-83hmjh-2::before {
    background-color: #11cf00 !important;
    right: 1px!important;
    top: 5px!important;
}

.eawc-user-image-imageInner:after {
    border: none!important;
}

.Bubble__BubbleComponent-sc-83hmjh-2{
background-color: var(--clr-gray-2)!important;
     width: var(--chat-btn-size)!important;
     height: var(--chat-btn-size)!important;
}

.Bubble__StyledIcon-sc-83hmjh-1 svg{
    fill: var(--clr-white);
    width: calc(var(--chat-btn-size)/2);
    height: calc(var(--chat-btn-size)/2);
}

.WhatsappChat__Text-sc-1wqac52-2 {
    line-height: 1.5 !important;
    color: var(--clr-black) !important;
}

.DefaultButton__DefaultButtonText-ulobej-1 {
    color: var(--clr-white) !important;
    font-weight: 600 !important;
    font-size: 1.05rem !important;
    letter-spacing: 0.2px !important;
    transition: letter-spacing 0.3s ease-in;
}

.DefaultButton__DefaultButtonComponent-ulobej-0 {
    padding-block: 12px !important;
    text-decoration: none!important;
    background-color: var(--clr-gray-2)!important;
    transition: background-color 0.3s ease-in;
}

.DefaultButton__DefaultButtonComponent-ulobej-0:hover{
    background-color: var(--clr-black)!important;
}

.DefaultButton__DefaultButtonComponent-ulobej-0:hover .DefaultButton__DefaultButtonText-ulobej-1{
    letter-spacing: 0.8px !important;
}


.DefaultButton__DefaultButtonText-ulobej-1::after{
    content: '';
    width: 100%;
    height: 4px;
    background-color: #11cf00;
    position: absolute;
    left: 0;
    bottom: 0;
    transform: scale(0, 1);
    transform-origin: left;
    transition: transform 0.3s ease-in;
}

.DefaultButton__DefaultButtonComponent-ulobej-0:hover .DefaultButton__DefaultButtonText-ulobej-1::after{
    transform: scale(1, 1);
    transition: transform 0.3s ease-in;
    transform-origin: right;
}




.WhatsappChat__Message-sc-1wqac52-4{
    border-radius: 8px 0px 8px !important;
}

.WhatsappChat__Message-sc-1wqac52-4::before {
    right: -12px !important;
    transform: rotateY(180deg) !important;
    left: auto !important;
}

/*
מחשבים קטנים 2
================================================== */
@media only screen and (max-width: 1370px) and (orientation : landscape){
    
    :root {
        --chat-btn-size: 55px;
    }
    
    .eEAVKi::before {
    right: 0px!important;
    top: 3px!important;
}
        .Window__WindowComponent-sc-17wvysh-1 {
    margin-bottom: 92px!important;
}
}


/*
כל הניידים 
================ */
@media only screen and (max-width: 767px){
 
    :root {
        --chat-btn-size: 50px;
    }
    
.Bubble__BubbleComponent-sc-83hmjh-2::before {
    right: 0px!important;
    top: 3px!important;
}

.Bubble__BubbleComponent-sc-83hmjh-2{
    margin-bottom: 17px !important;
    margin-right: 10px !important;
}

.Window__WindowComponent-sc-17wvysh-1{
    width: calc(100vw - 30px) !important;
    max-width: 500px !important;
    transition: opacity 0.3s ease 0s, margin-bottom 0.3s ease 0s, visibility 0.3s ease 0s !important;
    margin-right: 15px !important;
    margin-bottom: calc(var(--chat-btn-size) + 35px) !important;
}

    
}